| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | Public Attributes | List of all members
gdayf.logs.logshandler.LogsHandler Class Reference

Class oriented to manage all messages and interaction with DayF product logs. More...

Inheritance diagram for gdayf.logs.logshandler.LogsHandler:
[legend]
Collaboration diagram for gdayf.logs.logshandler.LogsHandler:
[legend]

## Public Member Functions
def | __init__ (self, e_c, module=__name__)
| Constructor.
def | log_info (self, trigger, session, message, add_message='')
| Method for INFO events. More...
def | log_critical (self, trigger, session, message, add_message='')
| Method for CRITICAL events. More...
def | log_exec (self, trigger, session, message, add_message='')
| Method for EXECUTION (INFO EQUIVALENT) events. More...
def | log_warning (self, trigger, session, message, add_message='')
| Method for WARNING events. More...
def | log_error (self, trigger, session, message, add_message='')
| Method for ERROR) events. More...
def | log_debug (self, trigger, session, message, add_message='')
| Method for DEBUG events. More...

## Public Attributes
| logger

## Detailed Description

Class oriented to manage all messages and interaction with DayF product logs.

Parameters

  e_c | context pointer
  module | name

Definition at line 23 of file logshandler.py.

## Member Function Documentation

## ◆ log_critical()

def gdayf.logs.logshandler.LogsHandler.log_critical | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for CRITICAL events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to log
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 70 of file logshandler.py.

Here is the call graph for this function:

## ◆ log_debug()

def gdayf.logs.logshandler.LogsHandler.log_debug | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for DEBUG events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to log
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 107 of file logshandler.py.

Here is the call graph for this function:

## ◆ log_error()

def gdayf.logs.logshandler.LogsHandler.log_error | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for ERROR) events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to log
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 98 of file logshandler.py.

Here is the call graph for this function:

## ◆ log_exec()

def gdayf.logs.logshandler.LogsHandler.log_exec | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for EXECUTION (INFO EQUIVALENT) events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to lognfo
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 80 of file logshandler.py.

Here is the call graph for this function:

## ◆ log_info()

def gdayf.logs.logshandler.LogsHandler.log_info | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for INFO events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to log
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 60 of file logshandler.py.

Here is the call graph for this function:

## ◆ log_warning()

def gdayf.logs.logshandler.LogsHandler.log_warning | ( |  | self,
|  |  | trigger,
|  |  | session,
|  |  | message,
|  |  | add_message = `''`
| ) |  |

Method for WARNING events.

Parameters

  trigger | usually Analysis_id who launch the event log activity
  session | system session_id
  message | Text to log
  add_message | Text for additional message

Returns
  None (event logging)

Definition at line 89 of file logshandler.py.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/logs/logshandler.py